Home Help Center

Ice Touch Xcode 5.1

moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
Hello,

we have upgrade our Xcode to 5.1 and now Ice touch is not working
which adaptation we should do to use Ice Touch with Xcode 5.1

Thanks,
Moshe

Comments

  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    You need to create a symbolic link for the Xcode plugin:
      $ cd /Library/Application\ Support/Developer
      $ sudo ln -s 5.0 5.1
    

    Then you need to modify the plugin Info.plist file to add the Xcode 5.1 UUID. Open /Library/Developer/IceTouch-1.3.1/Xcode/slice2objcplugin.pbplugin/Contents/Info.plist and add the UUID for 5.1 like shown below:
    	<key>DVTPlugInCompatibilityUUIDs</key>
    	<array>
    		<string>37B30044-3B14-46BA-ABAA-F01000C27B63</string>
                    <string>A2E4D43F-41F4-4FB9-BB94-7177011C9AED</string>
    	</array>
    

    The plugin should correctly load with Xcode 5.1 with this change.

    Cheers,
    Benoit.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Ice Touch Xcode 5.1

    Thanks benoit,

    what should i do if it still not working,
    Xcode still not recognize ICE
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    You can check 2 things:
    • check with the Console application if you have a message similar to the following when you launch Xcode:
      13/03/2014 15:18:13,276 Xcode[7690]: [MT] PluginLoading: Required plug-in compatibility UUID A2E4D43F-41F4-4FB9-BB94-7177011C9AED for plug-in at path '/Library/Application Support/Developer/5.1/Xcode/Plug-ins/slice2objcplugin.pbplugin' not present in DVTPlugInCompatibilityUUIDs
      
    • Ensure that "/Library/Application\ Support/Developer/5.1/Xcode/Plugins/slice2objcplugin.pbplugin" exists. If not, this indicates a problem with the symbolic link. In this case, you should check how to fix the link or just copy the 5.0 directory to a new 5.1 directory in /Library/Application\ Support/Developer.

    Cheers,
    Benoit.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Ice Touch Xcode 5.1

    i only get the following error

    In file included from /Development/_SvnWork/iPhone_Production1.99.7/Classes/FirstTimeScreen.m:12:
    /Development/_SvnWork/iPhone_Production1.99.7/Classes/FreeWinViewController.h:14:9: fatal error: 'Ice/Ice.h' file not found
    #import <Ice/Ice.h>
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    This indicates that the IceTouch Xcode plugin isn't loaded.

    Did you ensure that the "/Library/Application\ Support/Developer/5.1/Xcode/Plugins/slice2objcplugin.pbplugin" directory exists and is accessible?

    If not, this indicates that you didn't correctly create the link for /Library/Application\ Support/Developer/5.1. You could just copy the content of the 5.0 directory to 5.1 or try to fix the link.

    Cheers,
    Benoit.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Ice Touch Xcode 5.1

    Hello Guys,

    it still display me the same error message
    In file included from /Development/_SvnWork/iPhone_Production1.99.7/Classes/FirstTimeScreen.m:12:
    /Development/_SvnWork/iPhone_Production1.99.7/Classes/FreeWinViewController.h:14:9: fatal error: 'Ice/Ice.h' file not found
    #import <Ice/Ice.h>

    Action details:
    1) open Terminal
    2) press
    $ cd /Library/Application\ Support/Developer
    $ sudo ln -s 5.0 5.1
    3) link folder have been created "5.1" directed to the content of "5.0" folder
    4) open /Library/Developer/IceTouch-1.3.1/Xcode/slice2objcplugin.pbplugin/Contents/Info.plist
    5) update Info.plist
    <key>DVTPlugInCompatibilityUUIDs</key>
    <array>
    <string>37B30044-3B14-46BA-ABAA-F01000C27B63</string>
    <string>A2E4D43F-41F4-4FB9-BB94-7177011C9AED</string>
    </array>
    6) close Xcode process
    7) open Xcode project
    8) clen project
    9) build project
    10) get error
    /Development/_SvnWork/iPhone_Production1.99.7/Classes/FirstTimeScreen.m:12:
    /Development/_SvnWork/iPhone_Production1.99.7/Classes/FreeWinViewController.h:14:9: fatal error: 'Ice/Ice.h' file not found
    #import <Ice/Ice.h>

    we have tried it in 2 different Macs and it doesn't work
    Please help us,

    Moshe.
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    Can you provide the output of the following command?
     ls -l /Library/Application\ Support/Developer/5.1/Xcode/Plug-ins
    

    Can you try compiling the iPhone/hello demo provided with the Ice Touch 1.3.1 demo distribution from the IceTouch download page? Does the compilation also fail for the demo and if yes can you specify where it fails (either compiling the Slice file or compiling some source files)? Thanks.

    Cheers,
    Benoit.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Ice Touch Xcode 5.1

    PayMaxss-Mac-mini:~ PayMaxs$ ls -l /Library/Application\ Support/Developer/5.1/Xcode/Plug-ins
    total 8
    lrwxr-xr-x 1 root admin 65 Mar 17 11:37 slice2objcplugin.pbplugin -> /Library/Developer/IceTouch-1.3.1/Xcode/slice2objcplugin.pbplugin
    PayMaxss-Mac-mini:~ PayMaxs$
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Ok, it looks fine.

    You should also make sure that you don't get a message similar to the message below in your /var/log/system.log (accessible through the Console application):
    Mar 17 14:30:46 macbookpro Xcode[53192]: [MT] PluginLoading: Required plug-in compatibility UUID A2E4D43F-41F4-4FB9-BB94-7177011C9AED for plug-in at path '/Library/Application Support/Developer/5.1/Xcode/Plug-ins/slice2objcplugin.pbplugin' not present in DVTPlugInCompatibilityUUIDs
    

    Otherwise, let us know how it goes with the compilation of the iPhone/hello demo from the Ice Touch demo distribution.

    Cheers,
    Benoit.
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    We are actually able to reproduce your issue... it turns out that it doesn't work when building for iOS devices but it works when building for the iOS simulator. We are looking into this problem.

    In the meantime, as a workaround, you can add the following additional header search path in your project settings:

    /Library/Developer/IceTouch-1.3/SDKs/ObjC/$(PLATFORM_NAME).sdk/usr/local/include

    You should also add the following library search path:

    /Library/Developer/IceTouch-1.3/SDKs/ObjC/$(PLATFORM_NAME).sdk/usr/local/lib

    With those additions to your project, your program should compile.

    Cheers,
    Benoit.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Ice Touch Xcode 5.1

    Hello Guys,

    about the Hello demo it works fine,
    the workaround also works fine,

    please let us know when you have the best solution

    Thank you very much,
    Moshe.
  • dakotadelnortedakotadelnorte Member Roberto Orden ErenaOrganization: ZennioProject: Home automation remote
    Hi guys,

    I have tried the same process in order to compile my application in Xcode 6, and my result isn't good.

    Steps:

    - I typed at "/Library/Developer/IceTouch-1.3.2/Xcode/slice2objcplugin.pbplugin/Contents/Info.plist" the following UUID in "DVTPlugInCompatibilityUUIDs" category: AD68E85B-441B-4301-B564-A45E4919A6AD

    - I copied from "/Library/Application Support/Developer/" the folder "5.1" to "6.1" (The version that Xcode says in the about page), my Info.plist inside this folder also contains the new UUID in the same category.

    Am I doing anything wrong or need to do another thing to compile fine?

    The error from Xcode is:
    slice2objc APP/lib/APPIceComm/slice/Pairing.ice
        cd /Users/XXX/Repo/APPiOS_0.1
        export PATH="/Applications/Xcode-Beta.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/usr/bin:/Applications/Xcode-Beta.app/Contents/Developer/usr/bin:/usr/bin:/bin:/usr/sbin:/sbin"
        /Library/Developer/IceTouch-1.3/SDKs/ObjC/bin/slice2objc --output-dir /Users/XXXXX/Library/Developer/Xcode/DerivedData/APP-ehvfhmaffeccxhfcbmogncubpjgq/Build/Intermediates/APP.build/Debug-iphonesimulator/APP.build/DerivedSources --include-dir "" -I/Library/Developer/IceTouch-1.3/SDKs/ObjC/slice /Users/XXXXX/XXX/APP/APP_NAME/lib/PACKAGE/slice/Pairing.ice
    
    /Library/Developer/IceTouch-1.3/SDKs/ObjC/bin/slice2objc: error: cannot open `/Users/XXXXX/Library/Developer/Xcode/DerivedData/APP-ehvfhmaffeccxhfcbmogncubpjgq/Build/Intermediates/APP.build/Debug-iphonesimulator/APP.build/DerivedSources/Pairing.h': No such file or directory
    Command /Library/Developer/IceTouch-1.3/SDKs/ObjC/bin/slice2objc failed with exit code 1
    

    The same project in Xcode 5.1 compile and works fine, but no in Xcode 6.1. (with the same configuration files and everything)

    Thank you in advance.
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Xcode 6 doesn't create the DerivedSources directory that it's used as the default output directory for slice2objc generated files. Try to set the "Output Directory" option under Slice settings sections of your Xcode project, to an existing directory. You may also need to add this directory to "Header Search Paths"
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Ice Touch for Xcode 6

    hello,

    i've got the same problem, the Xcode not generate my ice files
    i don't see the "Slice" section in xcode6 zoo war is the "default output" field, please explain which field to set? the best thing is if you could give us an example project that works?


    thanks,
    moshe
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    We have released IceTouch 1.3.3 which adds support for Xcode 6.0 and iOS 8.0.

    The problem with output-dir was that the Xcode 5 plug-in doesn't read the default settings when using it with Xcode 6, that has been fixed.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    ice touch 1.3.3 wrong reference

    Hello,

    the link to ice touch is reference to ice touch 1.3.2', please update the site to allow as to download ice touch 1.3.3
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    The page link is correct that is probably an issue with your browser cache, try to refresh the page.
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    ice touch 1.3.3 computability with Xcode 6

    Hello,

    i've install ice touch 1.3.3 and the problem still exist,
    i've download the sample project of ice touch 1.3.3 and tried to compile the "chat" project and we got the following error:

    /Users/PayMaxs/Downloads/IceTouch-1.3.3-demos/Cocoa/chat/Classes/ChatController.h:11:9: 'ChatSession.h' file not found

    i still not see the generated ice files in DerivedData folder

    please help,
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    ice touch 1.3.3 computability with Xcode 6

    hello Guys,

    could you give me main while a bypass, i've tried to generate m,h files using slice2objc, but i seems that the project don't know from where to take the ice core isles for the linker
    example errors:
    Undefined symbols for architecture arm64:
    "_OBJC_CLASS_$_ICERouterPrx", referenced from:
    objc-class-ref in ConnectionHelper.o
    objc-class-ref in libGlacier2ObjC.a(Router.o)
    "_OBJC_CLASS_$_ICEUtil", referenced from:
    objc-class-ref in ConnectionHelper.o
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi,

    Seems that you are still using the old plug-in, did the 1.3.3 installed completed successfully?

    Can you provide the output of the following command?
     ls -l /Library/Application\ Support/Developer/6.0/Xcode/Plug-ins
    

    If the plug-in it's correctly installed it should look something like:
    slice2objcplugin.pbplugin -> /Library/Developer/IceTouch-1.3.3/Xcode/slice2objcplugin.pbplugin
    

    If you have previously copy the 1.3.2 plug-in the installer will not remove it and this will explain the errors. If that it's the case try to remove the old plug-in and run the installer again
    rm -rf /Library/Application\ Support/Developer/6.0/Xcode/Plug-ins/slice2objcplugin.pbplugin
    
  • moshehakmoshehak Member moshe HakimianOrganization: PaymaxsProject: create smartphones applications
    Hello xdm,

    thank you very much,
    it was referenced to 1.3.2, now all works fine,

    please advice us,
    almost each xcode upgrade we have problem working with ICE SDK,
    does the xcode upgrade influence only xcode Ice plugin or the whole ICE SDK need update?
    do you think it is better for us to not use the xcode Ice plugin and config all manually, is it allow us to have no problem in the next xcode upgrade?

    Moshe,
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi,

    The installer updates a previous Xcode plug-in if it is a symbolic link to the Ice Touch install, If you manually copied the plug-in "/Library/Application\ Support/Developer/6.0/Xcode/Plug-ins" the installer doesn't update it.

    For 1.3.3 we add a script to the installer that updates the Xcode compatibility UUIDs, so when a new Xcode version comes out you could re run the installer and it will take care of updating the plug-in UUIDs.

    Note that the plug-in and SDK might require fixes to work with the next Xcode/iOS versions.
  • dakotadelnortedakotadelnorte Member Roberto Orden ErenaOrganization: ZennioProject: Home automation remote
    Hi,

    Thank you very much for your help. Finally, I can run my app in iOS 8 with Yosemite and Mavericks, with Xcode 6.1

    Best regards,
Sign In or Register to comment.